Board index FlightGear Support Tools ATC-pie

(UPDATED) Cannot install ATC-pie on Ubuntu Gnome 16.04

ATC-pie is a radar air traffic control simulation program for the FlightGear multi-player network.

(UPDATED) Cannot install ATC-pie on Ubuntu Gnome 16.04

Postby AviationGaming » Sun Oct 08, 2017 2:37 pm

I cannot install ATC-pie on Ubuntu 16.04 Gnome.

I downloaded the tarball v1.4.

Python3.5 is already downloaded

I opened up the terminal.

Sudo apt-get python3-pip

Once installed, I did

sudo pip3 install PyQt5

Once installed, I installed all the dependencies

I am now all set to try and run the program

cd Downloads
cd atc-pie (folder)
./ATC-pie OR sudo python3 ATC-pie.py

This is what it says on the terminal:

QstandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-(user)'
QstandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-(user)'
Loading aircraft & airline data... done.
Reading world navigation data... done.
(Now, I have downloaded all the speech instructions, but I am not sure if I should move them because it says I don't have them.)
Speech recognition modules not found; voice instructions disabled.
Speech synthesis module not found; pilot readback disabled.
(I chose KBOS for airport)
Setting up session 8761-0 in AD mode at location KBOS...
No airport settings file found; using defaults.
No elevation map found; using field elevation.

That is all it says on the terminal, but on the config it says this:


'ascii' codec can't encode character '\xb0' in position 21: ordinal not in range(128)


I have no idea what the problem is!

Contact me at flightgearfreakyt@gmail.com
AviationGaming
 
Posts: 8
Joined: Wed Oct 04, 2017 11:07 pm

Re: (UPDATED) Cannot install ATC-pie on Ubuntu Gnome 16.04

Postby mickybadia » Sun Oct 08, 2017 7:44 pm

Definitely better with some output to get help. :-) Now I know what your problem is.

Note for future assistance: for diagnosis we do literally mean copy-paste of output, i.e. avoid inserting personal comments. Anything as meaningless to you as an empty line can help us track a problem down, so we need to know that nothing comes from your tampering with the contents. For instance, it took me a while to understand what you meant by: "That is all it says on the terminal, but on the config it says this:" Until I tried to setup things to create the rest of your output.

So please try running your program with the following instead:
Code: Select all
PYTHONIOENCODING=utf8 python3 ATC-pie.py


If this works, it is because your default encoding scheme for Python is a restrictive (and I would believe unusual) "ASCII" value. Either keep this command or change your Python system defaults.
mickybadia
 
Posts: 405
Joined: Tue Sep 24, 2013 9:12 am

Re: (UPDATED) Cannot install ATC-pie on Ubuntu Gnome 16.04

Postby AviationGaming » Mon Oct 09, 2017 12:01 pm

THANK YOU SO MUCH!!! IT WORKED! YOU GUYS ARE ABSOLUTELY AMAZING!!!
Last edited by AviationGaming on Mon Oct 09, 2017 12:07 pm, edited 1 time in total.
AviationGaming
 
Posts: 8
Joined: Wed Oct 04, 2017 11:07 pm

Re: (UPDATED) Cannot install ATC-pie on Ubuntu Gnome 16.04

Postby mickybadia » Mon Oct 09, 2017 12:06 pm

Just type this: "PYTHONIOENCODING=utf8 python3 ATC-pie.py"
Instead of typing this: "./ATC-pie.py"

and report with the resulting behaviour. I think it should work.
mickybadia
 
Posts: 405
Joined: Tue Sep 24, 2013 9:12 am


Return to ATC-pie

Who is online

Users browsing this forum: No registered users and 1 guest